pkgmeek: use an absolute path to the built package in cat_manifest()

This commit is contained in:
John McQuah 2022-06-16 12:09:25 -04:00
parent 9c6054baf5
commit 71ad099fef

@ -103,14 +103,14 @@ check_pkg_mtime; pkg_utd=$?
# alerted the user to a footprint mismatch. The options -us|-um are likewise meant
# to update the signature|md5sum, which only requires the sources and the footprint.
if [ "$PKGMK_UPDATE_FOOTPRINT" = "yes" ]; then
[ -f "$package" ] || \
[ -f "$pkg_dir$package" ] || \
{ error "unable to update footprint. File '$package' not found.";
exit "$E_MANIFEST"; }
[ "$pkg_utd" = 1 ] || [ "$PKGMK_FORCE" = "yes" ] || \
{ error "outdated package. Use '-f' to force the footprint update.";
exit "$E_FOOTPRINT"; }
cat_manifest footprint > "$PKGMK_ROOT/.footprint" || \
{ error "Failed to write the footprint."; exit "$E_DIRPERM"; }
exit "$E_MANIFEST"; }
cat_manifest footprint > "$PKGMK_ROOT/.footprint" && info "footprint created." \
|| { error "Failed to write the footprint."; exit "$E_DIRPERM"; }
fi
[ "$PKGMK_UPDATE_SIG" = "no" ] || \
{ cat_signature > "$PKGMK_ROOT/.signature" &&
@ -184,8 +184,7 @@ if [ "$pkg_utd" = 0 ] || [ "$PKGMK_FORCE" = "yes" ]; then
cleanup_work; exit "$E_BUILD"
fi
# Ensure that $work/ contains the package or a symlink to it, then check the footprint
[ "$pkg_dir" = "$(pwd)/" ] || ln -sf "$pkg_dir$package" .
# Check the footprint of the built package, unless '-if' was given
[ "$PKGMK_IGNORE_FOOTPRINT" = "yes" ] || check_manifest footprint
# Clean up the work directory
@ -350,10 +349,10 @@ check_pkg_mtime() { # can be called even if some sources are missing
utd=1
while [ $li -lt ${#_local_[@]} ] && [ "$utd" = 1 ]; do
[ ! -e "${_local_[$li]}" ] || \
[ $(realpath "${_local_[$li]}") -nt "$pkg_dir$package" ] || utd=0
[ "$pkgdir$package" -nt $(realpath "${_local_[$li]}") ] || utd=0
li=$(( li+1 ))
done
[ ! -e Pkgfile ] || [ Pkgfile -nt "$pkg_dir$package" ] || utd=0
[ ! -e Pkgfile ] || [ "$pkg_dir$package" -nt Pkgfile ] || utd=0
fi
[ $utd = 0 ] || msg="$package is up to date."
@ -419,7 +418,7 @@ fetch_url() {
cat_manifest() {
case "$1" in
footprint)
pkginfo --footprint "$package" \
pkginfo --footprint "$pkg_dir$package" \
| sed "s|\tlib/modules/$(uname -r)/|\tlib/modules/<kernel-version>/|g" \
| sort -k 3
;;